{- This file is part of irc-fun-messages.
 -
 - Written in 2015 by fr33domlover <fr33domlover@rel4tion.org>.
 -
 - ♡ Copying is an act of love. Please copy, reuse and share.
 -
 - The author(s) have dedicated all copyright and related and neighboring
 - rights to this software to the public domain worldwide. This software is
 - distributed without any warranty.
 -
 - You should have received a copy of the CC0 Public Domain Dedication along
 - with this software. If not, see
 - <http://creativecommons.org/publicdomain/zero/1.0/>.
 -}

-- | This module handles parsing and serializing IRC messages and replies.
-- Types and other functionality are provided in the submodules.
module Network.IRC.Fun.Messages
    ( -- * Parsing
      parseMessage
    , messageIsReply
    , messageToReply
    , parse
    , analyzeMessage
    , analyzeReply
    , analyze
      -- * Serializing
    , buildMessage
    , buildReply
    , messageFromReply
    , serializeMessage
    , serializeReply
    )
where

import Network.IRC.Fun.Messages.Internal.Parse
import Network.IRC.Fun.Messages.Internal.Serialize
